Arvados - Feature #10518

[Workbench] Further cosmetic cleanup in crunchV2 only scenario
11/11/2016 02:34 AM - Ward Vandewege

Status: Resolved Start date: 11/29/2016
Priority: Normal Due date:

Assigned To: Radhika Chippada % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2016-12-14 sprint

Description

There are still quite a few places where workbench says 'Pipeline’, even when running in a CrunchV2 only scenario.
For example:

Dashboard:

"Recent pipelines and processes"

"Run a pipeline"

(also, in the documentation at http://doc.arvados.org/user/cwl/cwl-runner.html, we have a reference to that "run a pipeline" button)

Workflow selection screen:
"Choose a pipeline or workflow to run:"

Project page:
"Pipelines and processes" tab
"Run a pipeline"

Etc. All of these should be cleaned up to be made consistent.

Subtasks:
Task # 10621: Review branch 10518-crunch2-only-wb Resolved

Related issues:
Related to Arvados - Bug #10310: [Workbench] Do not offer to use CrunchV1 fea... Resolved 10/20/2016

Associated revisions

Revision bde488e7 - 11/29/2016 03:48 PM - Radhika Chippada

closes #10518
Merge branch '10518-crunch2-only-wb'

History

#1-11/11/2016 02:36 AM - Ward Vandewege

- Subject changed from [Workbench] Further cosmetic cleanup in crunch_v2 only scenario to [Workbench] Further cosmetic cleanup in crunchV2 only
scenario

#2 - 11/11/2016 02:43 AM - Ward Vandewege

- Description updated

#3 - 11/11/2016 03:33 AM - Ward Vandewege
- Project changed from OPS to Arvados

#4 - 11/23/2016 04:28 PM - Radhika Chippada
- Status changed from New to In Progress

- Assigned To set to Radhika Chippada
#5 - 11/23/2016 05:44 PM - Radhika Chippada

¢ Those listed code updates are addressed in #10524
http://doc.arvados.org/user/cwl/cwl-runner.html
https://dev.arvados.org/issues/10524

e Pictures in the following pages in user guide need to be updated:
o Accessing Arvados Workbench
o Running a pipeline using Workbench
o Using Common Workflow Language
o Uploading Data (Nice to have - tab titles are out of date even with Crunch1)

#6 - 11/23/2016 08:19 PM - Tom Morris

- Target version changed from Arvados Future Sprints to 2016-12-14 sprint

#7 - 11/29/2016 02:25 AM - Radhika Chippada

Also, noticed an issue while using full-text search in 9tee4 environment. The search box shows any matching pipeline instances etc and when one of
them is selected and Show button is clicked, an error is displayed that "Show" method is not supported for the object.

We need to update the API server groups_controller -> contents method to omit types that are disabled.

#8 - 11/29/2016 02:29 AM - Radhika Chippada
@ b5d3273

Addressed the items listed in notes 5 and 7.

#9 - 11/29/2016 03:43 PM - Lucas Di Pentima
This Igtm, thanks!

#10 - 11/29/2016 03:55 PM - Radhika Chippada
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Applied in changeset arvados|commit:bde488e7eff0e9a94cbf9709d28de13603857a3d.
